Util (Tomcat API Documentation)
Keywords: org.apache.jasper.tagplugins.jstl.Util class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.tagplugins.jstl
Class Util

    java.lang.Object
      org.apache.jasper.tagplugins.jstl.Util

    public class Util

extends java.lang.Object

Util contains some often used consts, static methods and embedded class to support the JSTL tag plugin.

Nested Class Summary
`static class` | `Util.ImportResponseWrapper` Wraps responses to allow us to retrieve results as Strings.

Field Summary
`static java.lang.String` | `DEFAULT_ENCODING`
`static int` | `HIGHEST_SPECIAL`
`static char[][]` | `specialCharactersRepresentation`
`static java.lang.String` | `VALID_SCHEME_CHAR`

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `escapeXml(java.lang.String buffer)` Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml().
`static java.lang.String` | `getContentTypeAttribute(java.lang.String input, java.lang.String name)` Get the value associated with a content-type attribute.
`static int` | `getScope(java.lang.String scope)` Converts the given string description of a scope to the corresponding PageContext constant.
`static boolean` | `isAbsoluteUrl(java.lang.String url)` Returns `true` if our current URL is absolute, `false` otherwise.
`static java.lang.String` | `resolveUrl(java.lang.String url, java.lang.String context, javax.servlet.jsp.PageContext pageContext)` Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport
`static java.lang.String` | `stripSession(java.lang.String url)` Strips a servlet session ID from `url`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALID_SCHEME_CHAR

    public static final java.lang.String VALID_SCHEME_CHAR

See Also:
  Constant Field Values

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### HIGHEST_SPECIAL

    public static final int HIGHEST_SPECIAL

See Also:
  Constant Field Values

### specialCharactersRepresentation

    public static char[][] specialCharactersRepresentation

Constructor Detail

### Util

    public Util()

Method Detail

### getScope

    public static int getScope(java.lang.String scope)

  Converts the given string description of a scope to the corresponding PageContext constant. The validity of the given scope has already been checked by the appropriate TLV.

  Parameters:
    `scope` - String description of scope
  Returns:
    PageContext constant corresponding to given scope description taken from org.apache.taglibs.standard.tag.common.core.Util

### isAbsoluteUrl

    public static boolean isAbsoluteUrl(java.lang.String url)

  Returns `true` if our current URL is absolute, `false` otherwise. taken from org.apache.taglibs.standard.tag.common.core.ImportSupport

### getContentTypeAttribute

    public static java.lang.String getContentTypeAttribute(java.lang.String input,
                                                           java.lang.String name)

  Get the value associated with a content-type attribute. Syntax defined in RFC 2045, section 5.1. taken from org.apache.taglibs.standard.tag.common.core.Util

### stripSession

    public static java.lang.String stripSession(java.lang.String url)

  Strips a servlet session ID from `url`. The session ID is encoded as a URL "path parameter" beginning with "jsessionid=". We thus remove anything we find between ";jsessionid=" (inclusive) and either EOS or a subsequent ';' (exclusive). taken from org.apache.taglibs.standard.tag.common.core.ImportSupport

### escapeXml

    public static java.lang.String escapeXml(java.lang.String buffer)

  Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> & < -> < > -> > " -> " ' -> ' See also OutSupport.writeEscapedXml(). taken from org.apache.taglibs.standard.tag.common.core.Util

### resolveUrl

    public static java.lang.String resolveUrl(java.lang.String url,
                                              java.lang.String context,
                                              javax.servlet.jsp.PageContext pageContext)
                                       throws javax.servlet.jsp.JspException

  Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.